Inconsistent behavior between syncpackage and requestsync in 0.143ubuntu0.1

Bug #1073060 reported by Scott Kitterman on 2012-10-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

== SRU ==
[IMPACT]
requestsync doesn't check proposed, and will include too many changelog entries in the bug

[TEST CASE]
Find a package like the one in the report, by running this UDD query:

SELECT rp.source, r.version, rp.version, d.release, d.version
FROM ubuntu_sources AS rp
INNER JOIN ubuntu_sources AS r
  ON (rp.source = r.source
      AND rp.version != r.version
      AND r.release='raring')
INNER JOIN sources AS d
  ON (rp.source = d.source
      AND rp.version < d.version
      AND r.version != d.version
      AND d.release IN ('sid', 'experimental'))
WHERE rp.release='raring-proposed';

Run syncpackage and requestsync on it (without actually doing anything).
See that the changelogs differ.

== Original Report ==
If a package exists in ${DEVELOPMENT_RELEASE}-proposed and ${DEVELOPMENT_RELEASE}, syncpackage and requestsync give different results. Syncpackage checks against -proposed be default, while requestsync checks against proposed only if a package doesn't exist in -release. At the time I did these requests, 1.1.2-1 was in raring-proposed:

$ requestsync -d experimental shiboken
W: Target release missing - assuming raring
Consider using syncpackage(1) for syncs that do not require feature freeze exceptions.
Currently the bug report looks like:
Summary (one line):
Sync shiboken 1.1.2-2 (universe) from Debian experimental (main)

Description:
Please sync shiboken 1.1.2-2 (universe) from Debian experimental (main)

Changelog entries since current raring version 1.1.1-1:

shiboken (1.1.2-2) experimental; urgency=low

  * Add python{,3}-numpy-dbg to Build-Depends to have all tests pass.
  * Make dbg tests build-critical.

 -- Didier Raboud <email address hidden> Mon, 29 Oct 2012 10:06:19 +0100

shiboken (1.1.2-1) experimental; urgency=low

  * New 1.1.2 "Alaursa" release.
    - Add 6 1.1.2-specific symbols;

  * Update B-Ds:
    - add python{,3}-numpy to succeed all tests.

 -- Didier Raboud <email address hidden> Tue, 04 Sep 2012 08:47:15 +0200

Edit [y|N]? ^C
User abort.
$ syncpackage -d experimental shiboken
syncpackage: Source shiboken -> raring/Proposed: current version 1.1.2-1, new version 1.1.2-2
syncpackage: New changes:
shiboken (1.1.2-2) experimental; urgency=low

  * Add python{,3}-numpy-dbg to Build-Depends to have all tests pass.
  * Make dbg tests build-critical.

 -- Didier Raboud <email address hidden> Mon, 29 Oct 2012 10:06:19 +0100
Sync this package [y|N]? y
syncpackage: Request succeeded; you should get an e-mail once it is processed.

The syncpackage behavior is the one we want.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.145

---------------
ubuntu-dev-tools (0.145) experimental; urgency=low

  [ Stefano Rivera ]
  * syncpackage: Don't throw away release pockets, returning correct errors
    when the source and destination match even though the destination release
    pocket doesn't.
  * requestsync: We now sync to proposed (LP: #1073060)

  [ Steve Langasek ]
  * Initial support for setting up cross-build chroots.

 -- Stefano Rivera <email address hidden> Tue, 06 Nov 2012 22:58:32 +0200

Changed in ubuntu-dev-tools (Ubuntu Raring):
status: New → Fix Released

Hello Scott, or anyone else affected,

Accepted ubuntu-dev-tools into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-dev-tools/0.143ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-dev-tools (Ubuntu Quantal):
status: New → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Scott, or anyone else affected,

Accepted ubuntu-dev-tools into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-dev-tools/0.141ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-dev-tools (Ubuntu Precise):
status: New → Fix Committed
Scott Kitterman (kitterman) wrote :

Verified that requestsync and syncpackage now produce the same (correct results).

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.143ubuntu0.2

---------------
ubuntu-dev-tools (0.143ubuntu0.2) quantal-proposed; urgency=low

  * Cherry-pick some bug fixes from 0.145:
    - requestsync: We now sync to proposed (LP: #1073060)
    - syncpackage: syncpackage: Don't throw away release pockets, returning
      correct errors when the source and destination match even though the
      destination release pocket doesn't.
 -- Stefano Rivera <email address hidden> Tue, 06 Nov 2012 23:12:34 +0200

Changed in ubuntu-dev-tools (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.141ubuntu0.1

---------------
ubuntu-dev-tools (0.141ubuntu0.1) precise-proposed; urgency=low

  * Cherry-pick some bug fixes from 0.142-0.145:
    - syncpackage: Default to <current_series>-proposed.
    - syncpackage, requestsync: Check the Release pocket if we can't find an
      Ubuntu package in the requested pocket. (LP: #1069867)
    - pull-lp-source: Catch errors parsing JSON we got from DDE (LP: #1059848)
    - sponsor-patch: Don't fall over bugs targeted at the development release
      (LP: #936014)
    - requestsync: We now sync to proposed (LP: #1073060)
    - syncpackage: syncpackage: Don't throw away release pockets, returning
      correct errors when the source and destination match even though the
      destination release pocket doesn't.
 -- Stefano Rivera <email address hidden> Wed, 07 Nov 2012 23:24:56 +0200

Changed in ubuntu-dev-tools (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers